/* @refresh reload */
import { render } from "solid-js/web";

import "./app.css";
import App from "./App";

export default ({ root }: { root: HTMLElement }) => {
	if (import.meta.env.DEV && !(root instanceof HTMLElement)) {
		throw new Error(
			"Root element not found. Did you forget to add it to your index.html? Or maybe the id attribute got mispelled?"
		);
	}
	return render(() => <App />, root!);
};
